//
// CYBERSOURCE CORPORATION ("COMPANY") CONFIDENTIAL
// Copyright (c) 2021 CyberSource Corporation. All Rights Reserved.
//
// NOTICE:  All information contained herein is, and remains the property of COMPANY. The intellectual and technical concepts contained
// herein are proprietary to COMPANY and may be covered by European or foreign Patents, patents in process, and are protected by trade secret or copyright law.
// Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
// from COMPANY.  Access to the source code contained herein is hereby forbidden to anyone except current COMPANY employees, managers or contractors who have executed
// Confidentiality and Non-disclosure agreements explicitly covering such access.
//
// The copyright notice above does not evidence any actual or intended publication or disclosure of this source code, which includes
// information that is confidential and/or proprietary, and is a trade secret, of COMPANY.
// ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE,
// OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF COMPANY IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE
// LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS
// TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.

@import Foundation;

/**
 * Prompt to be displayed when asking for a secure data.
 * @since 2.27.0
 */
typedef NS_ENUM(NSUInteger, MPAccessoryComponentInteractionCardDataPrompt) {

    MPAccessoryComponentInteractionCardDataPromptCardNumber = 1,
    MPAccessoryComponentInteractionCardDataPromptExpiryDate,
    MPAccessoryComponentInteractionCardDataPromptCVV,

};

/**
 * Parameters used to determine type of information asked securerly.
 * @since 2.27.0
 */
@interface MPAccessoryComponentInteractionAskForCardDataParameters : NSObject

/**
 * Prompts which will be asked during one session of questions.
 * @since 2.27.0
 */
@property (nonatomic, readonly, nonnull) NSArray<NSNumber *> *prompts;

/**
 * Constructor for a new parameters object
 * @param prompts Lines to be displayed on device, also determines format of expected input
 * @return instance of parameters or nil if any prompt in array is not known
 * @since 2.27.0
 */
+ (nullable instancetype)parametersWithPrompts:(nullable NSArray<NSNumber *> *)prompts;


@end
